Description

Demandes liées:
Lié a Admins - Anomalie #1159: VPN connection vers OpenStack down Fermé 27/12/2012

Historique

#1 - 11/01/2013 12:10 - Loic Dachary
- Fichier 2013-01-11-openvpn.log ajouté

le process openvpn est down sur controller.vm.april-int
je le relance et j'archive les logs pour analyse

#2 - 14/01/2013 11:18 - Loic Dachary

Sun Dec 30 02:10:26 2012 us=238101 [pavot] Inactivity timeout (--ping-restart), restarting

Sun Dec 30 02:12:10 2012 us=236255 [pavot] Peer Connection Initiated with [AF_INET]86.65.39.24:1194

Wed Jan 9 02:01:10 2013 us=10555 [pavot] Inactivity timeout (--ping-restart), restarting

Wed Jan 9 02:01:17 2013 us=127117 [pavot] Peer Connection Initiated with [AF_INET]86.65.39.24:1194

Thu Jan 10 02:00:12 2013 us=82541 [pavot] Inactivity timeout (--ping-restart), restarting

Thu Jan 10 02:04:32 2013 us=468956 [pavot] Peer Connection Initiated with [AF_INET]86.65.39.24:1194

Thu Jan 10 02:04:35 2013 us=670928 NOTE: Pulled options changed on restart, will need to close and reopen TUN/TAP device.

Thu Jan 10 02:04:35 2013 us=670957 /sbin/route del -net 192.168.1.0 netmask 255.255.255.0

SIOCDELRT: Operation not permitted

Chagque jour a 2:00, c'est a dire lorsque le load average de pavot monte en fleche parcequ'il se sauvegarde lui méme, OpenVPN timeout et se
rétablit peu aprés. Sauf le 10 ou il échoue. Contrairement aux jours précédents, il observe que Pulled options changed on restart et
s'aventure a faire un /sbin/route del qui échoue avec un SIOCDELRT: Operation not permitted suivit de nombreuses erreurs de méme type
qui le conduisent peu de temps aprés au suicide. Comme OpenVPN tourne sous un utilisateur non privilégié, il n'a effectivement pas les
permissions de faire I'opération en question.

#3 - 14/01/2013 11:29 - Loic Dachary

root@pavot:~# openvpn --version

OpenVPN 2.1_rcll x86_64-pc-linux-gnu [SSL] [Lz0O2] [EPOLL] [PKCS11l] built on Sep 18 2008
root@controller:~# openvpn —-version

OpenVPN 2.2.1 x86_64-1linux—-gnu [SSL] [LZ0O2] [EPOLL] [PKCS11l] [eurephia] [MH] [PF_INET6] [IPv6 payload 20

C'est vraissemblablement un probléeme de compatibilité de OpenVPN 2.0 ( la version de pavot est 2.1rc11 donc peut etre pas ). Il n'y a pas de
versions ultérieure sur lenny, méme dans les backports.

#4 - 14/01/2013 11:51 - Loic Dachary
- Statut changé de Nouveau a Résolu

- % réalisé changé de 0 a 100

Le client VPN doit tourner comme root pour pouvoir reconfigurer les routes au besoin:

root@controller:/etc# git show

commit dd03elc057c0b5b6b6b900dc3bb03£f8d3aae3164
Author: Loic Dachary <loic@dachary.org>

Date: Mon Jan 14 11:45:24 2013 +0100

23/04/2024 1/2


http://sourceforge.net/mailarchive/forum.php?thread_name=20120412202627.928b8bae7e30727634b73aa1%40lucassen.org&forum_name=openvpn-users

run as root for when modification of routing is necessary https://agir.april.org/issues/1172

diff --git a/openvpn/client.conf b/openvpn/client.conf

index 87335ed..bd4ad6lf 100644

-—— a/openvpn/client.conf

+++ b/openvpn/client.conf

@@ -58,7 +58,7 Q@ resolv-retry infinite
nobind

# Downgrade privileges after initialization (non-Windows only)

—user nobody
+#user nobody
group nogroup

# Try to preserve some state across restarts.

vérifié par

root 3587 0.0 1.2 35544 3152 ? Ss 11:45 0:00 /usr/sbin/openvpn

#5 - 29/05/2019 12:19 - Quentin Gibeaux

- Statut changé de Résolu a Fermé

Fichiers

2013-01-11-openvpn.log 30,7 ko 11/01/2013 Loic Dachary
